> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send email to recipient lists to specific recipients

> # Description

Send the campaign to the recipients depending on the `recipientsType` and `channels` passed in request body.

# Validations

- If there is a problem communicating with project service will return an error with 404 status code.

# Response

No response with 204 status.

# Body

The body for the request is an object that contains the property `channels` where:  

- `channels`: Array of strings that can contain the strings  `email` or `sms`.  
- `recipientsType`: Recipient type can be `ALL`, `UNANSWERED` and `ANSWERED`. If `ALL` or no `type` param is passed then it will count every recipient. If `ANSWERED` is passed as type then it will count every recipient that has already answered the survey. If `UNANSWERED` it will count every recipient that hasn't already answered the survey.

# Description

Send the campaign to the recipients depending on the `recipientsType` and `channels` passed in request body.

# Validations

* If there is a problem communicating with project service will return an error with 404 status code.

# Response

No response with 204 status.

# Body

The body for the request is an object that contains the property `channels` where:

* `channels`: Array of strings that can contain the strings  `email` or `sms`.
* `recipientsType`: Recipient type can be `ALL`, `UNANSWERED` and `ANSWERED`. If `ALL` or no `type` param is passed then it will count every recipient. If `ANSWERED` is passed as type then it will count every recipient that has already answered the survey. If `UNANSWERED` it will count every recipient that hasn't already answered the survey.


## OpenAPI

````yaml POST /campaigns-service/v1/campaigns/{campaignId}/sendSpecific
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /campaigns-service/v1/campaigns/{campaignId}/sendSpecific:
    post:
      summary: Send email to recipient lists to specific recipients
      description: >-
        # Description


        Send the campaign to the recipients depending on the `recipientsType`
        and `channels` passed in request body.


        # Validations


        - If there is a problem communicating with project service will return
        an error with 404 status code.


        # Response


        No response with 204 status.


        # Body


        The body for the request is an object that contains the property
        `channels` where:  


        - `channels`: Array of strings that can contain the strings  `email` or
        `sms`.  

        - `recipientsType`: Recipient type can be `ALL`, `UNANSWERED` and
        `ANSWERED`. If `ALL` or no `type` param is passed then it will count
        every recipient. If `ANSWERED` is passed as type then it will count
        every recipient that has already answered the survey. If `UNANSWERED` it
        will count every recipient that hasn't already answered the survey.
      operationId: >-
        send-email-to-recipient-lists-to-specific-recipients-post-campaigns-service-v1-campaigns-campaignid-sendspecific
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              channels:
                - email
                - sms
              recipientsType: ALL
      responses:
        '200':
          description: Successful response
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://campaigns.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````